/*
 * BondLengthTableAction.hpp
 *
 *  Created on: May 9, 2010
 *      Author: heber
 */

#ifndef BONDLENGTHTABLEACTION_HPP_
#define BONDLENGTHTABLEACTION_HPP_

#include "Actions/Action.hpp"

class CommandLineBondLengthTableAction : public Action {
public:
  CommandLineBondLengthTableAction();
  virtual ~CommandLineBondLengthTableAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};

#endif /* BONDLENGTHTABLEACTION_HPP_ */
