/*
 * ElementDbAction.hpp
 *
 *  Created on: May 9, 2010
 *      Author: heber
 */

#ifndef ELEMENTDBACTION_HPP_
#define ELEMENTDBACTION_HPP_

#include "Actions/Action.hpp"

class CommandLineElementDbAction : public Action {
public:
  CommandLineElementDbAction();
  virtual ~CommandLineElementDbAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};

#endif /* ELEMENTDBACTION_HPP_ */
