/*
 * FillWithMoleculeAction.hpp
 *
 *  Created on: May 10, 2010
 *      Author: heber
 */

#ifndef FILLWITHMOLECULEACTION_HPP
#define FILLWITHMOLECULEACTION_HPP

#include "Actions/Action.hpp"
#include "Actions/Process.hpp"

class MoleculeListClass;

class MoleculeFillWithMoleculeAction : public Action {
public:
  MoleculeFillWithMoleculeAction();
  virtual ~MoleculeFillWithMoleculeAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};


#endif // FILLWITHMOLECULEACTION_HPP
