/*
 * analysisbondsunittest.hpp
 *
 *  Created on: Nov 7, 2009
 *      Author: heber
 */

#ifndef MAPOFACTIONS_HPP_
#define MAPOFACTIONS_HPP_

#include <cppunit/extensions/HelperMacros.h>

class BondGraph;
class element;
class molecule;
class periodentafel;

/********************************************** Test classes **************************************/

class MapOfActionsTest : public CppUnit::TestFixture
{
    CPPUNIT_TEST_SUITE( MapOfActionsTest) ;
    CPPUNIT_TEST ( ShortFormConsistencyTest );
    CPPUNIT_TEST ( OptionsListsConsistencyTest );
    CPPUNIT_TEST_SUITE_END();

public:
      void setUp();
      void tearDown();
      void ShortFormConsistencyTest();
      void OptionsListsConsistencyTest();

private:

      MapOfActions *ActionData;

#endif /* MAPOFACTIONS_HPP_ */
