/*
 * FastParsingAction.hpp
 *
 *  Created on: May 9, 2010
 *      Author: heber
 */

#ifndef FASTPARSINGACTION_HPP_
#define FASTPARSINGACTION_HPP_

#include "Actions/Action.hpp"

class CommandLineFastParsingAction : public Action {
public:
  CommandLineFastParsingAction();
  virtual ~CommandLineFastParsingAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};

#endif /* FASTPARSINGACTION_HPP_ */
