/*
 * SubgraphDissectionAction.hpp
 *
 *  Created on: May 9, 2010
 *      Author: heber
 */

#ifndef SUBGRAPHDISSECTIONACTION_HPP_
#define SUBGRAPHDISSECTIONACTION_HPP_f

#include "Actions/Action.hpp"

class FragmentationSubgraphDissectionAction : public Action {
public:
  FragmentationSubgraphDissectionAction();
  virtual ~FragmentationSubgraphDissectionAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};

#endif /* SUBGRAPHDISSECTIONACTION_HPP_ */
