/*
 * SaveTemperatureAction.hpp
 *
 *  Created on: May 10, 2010
 *      Author: heber
 */

#ifndef SAVETEMPERATUREACTION_HPP
#define SAVETEMPERATUREACTION_HPP

#include "Actions/Action.hpp"
#include "Actions/Process.hpp"

class MoleculeListClass;

class MoleculeSaveTemperatureAction : public Action {
public:
  MoleculeSaveTemperatureAction();
  virtual ~MoleculeSaveTemperatureAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};


#endif // SAVETEMPERATUREACTION_HPP
