/*
 * SuspendInWaterAction.hpp
 *
 *  Created on: May 12, 2010
 *      Author: heber
 */

#ifndef SUSPENDINWATERACTION_HPP
#define SUSPENDINWATERACTION_HPP

#include "Actions/Action.hpp"
#include "Actions/Process.hpp"

class MoleculeListClass;

class MoleculeSuspendInWaterAction : public Action {
public:
  MoleculeSuspendInWaterAction();
  virtual ~MoleculeSuspendInWaterAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};


#endif // SUSPENDINWATERACTION_HPP
