/*
 * SetDefaultNameAction.hpp
 *
 *  Created on: May 8, 2010
 *      Author: heber
 */

#ifndef SETDEFAULTNAMEACTION_HPP_
#define SETDEFAULTNAMEACTION_HPP_

#include "Actions/Action.hpp"

class WorldSetDefaultNameAction : public Action {
public:
  WorldSetDefaultNameAction();
  virtual ~WorldSetDefaultNameAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};

#endif /* SETDEFAULTNAMEACTION_HPP_ */
