/*
 * CommandLineWindow.hpp
 *
 *  Created on: May 8, 2010
 *      Author: heber
 */

#ifndef COMMANDLINEWINDOW_HPP_
#define COMMANDLINEWINDOW_HPP_

#include "UIElements/MainWindow.hpp"

class CommandLineStatusIndicator;

class CommandLineWindow : public MainWindow
{
public:
  CommandLineWindow();
  virtual ~CommandLineWindow();

  virtual void display();

private:
  // populaters
  void populateAnalysisActions();
  void populateAtomActions();
  void populateCmdActions();
  void populateFragmentationActions();
  void populateMoleculeActions();
  void populateParserActions();
  void populateTesselationActions();
  void populateWorldActions();

  CommandLineStatusIndicator *statusIndicator;

};

#endif /* COMMANDLINEWINDOW_HPP_ */
